<?php
$t = "Управление загрузками";
include_once '../core/core.php';
if (!$user->auth()){
	include_once '../core/head.php';
	echo '<div class="error">Необходимо пройти войти в систему для посещения данной страницы.</div>';
	echo h();
	include_once '../core/foot.php';
	die();
}

if ($user->getData()->pro_mod_loads != -1 && $user->getData()->pro_mod_loads < time()){
	include_once '../core/head.php';
	echo '<div class="error">Для использования данного модуля, надо купить подписку.</div>';
	echo ($id != 0?l("/balance.lm?act=loads","Купить модуль","star",false,false,"Низкая цена, может тебя заинтересует данный модуль."):null);
	echo h();
	include_once '../core/foot.php';
	die();
}
if ($id != 0 && $db->Count("downloads_cat","WHERE `dcid` = '".$id."' AND `sid` = '".$user->uid."'") == 0){
	include_once '../core/head.php';
	echo '<div class="error">Данная категория не найдена.</div>';
	echo b("/downloads.lm");
	echo h();
	include_once '../core/foot.php';
	die();
}
$root = $db->getObject("SELECT * FROM `downloads_cat` WHERE `dcid` = '".$id."' AND `sid` = '".$user->uid."'");
$ccf = $db->Count("downloads_file","WHERE `dcid` = '$id' AND `sid` = '".$user->uid."'");
if ($act == "delete"){
	$ccd = $db->Count("downloads_cat","WHERE `root` = '$id' AND `sid` = '".$user->uid."'");
	if (isset($_POST["del"])){
		if ($ccd != 0 || $ccf != 0){
			include_once '../core/head.php';
			echo '<div class="error">Необходимо удалить сначала все файлы и папкив данной дириктории.</div>';
		} else {
			$db->Query("DELETE FROM `downloads_cat` WHERE `sid` = '".$user->uid."' AND `dcid` = '$id'");
			$t = "Файл удален";
			include_once '../core/head.php';
			echo '<div class="success">Файл был успешно удален!</div>';
			echo b("/downloads.lm?id='.$root->root.'");
			include_once '../core/foot.php';
			die();
		}
	}
	include_once '../core/head.php';
	echo '<div class="title">Удаление категории</div>';
	echo '<div class="warning">Файлов: '.$ccf.' / Папки: '.$ccd.'</div>';
	echo '<form method="POST">';
	echo 'Вы действительно хотите удалить категорию?<br>';
	echo '<input type="submit" name="del" value="Добавить"></form>';
	echo b("/downloads.lm".($id!=0?"?id=".$id:null));
	echo hcp();
	include_once '../core/foot.php';
	exit();
}
if ($act == "add"){
	if (isset($_POST["ok"]) && isset($_POST["name"])){
		if (strlen(trim($_POST['name'])) < 4) {
			$core->regError("Слишком короткое название категории","Слишком короткое название категории (от 4-32 символов)",3,"Forum");
		} elseif (strlen(trim($_POST['name'])) > 64) {
			$core->regError("Слишком длинное название категории","Слишком длинное название категории (от 4-64 символов)",3,"Forum");
		} else {
			$db->Query("INSERT INTO `downloads_cat`(`sid`, `name`, `root`) VALUES ('".$user->uid."','".$core->FilterString($_POST["name"])."','".$id."')");
			include_once '../core/head.php';		
			echo '<div class="success">Категория успешно добавлена.</div>';
			echo b("/downloads.lm?id=".$id);
			echo hcp();
			include_once '../core/foot.php';
			die();
		}
	}
	include_once '../core/head.php';
	echo '<div class="title">Добавление категории</div>';
	if ($core->isBooleanError()){
		foreach ($core->showError() as $csE){
			echo '<div class="error">Произошла ошибка при обработке операции<br><b>КОД: '.$csE["code"].'</b><br>Подробнее: '.$csE["utxt"].'</div>';
		}	
	}
	echo '<form method="POST">';
	echo 'Название категории:<br>
	<input type="text" name="name" value="'.(isset($_POST["name"]) && !empty($_POST["name"])?$core->FilterString($_POST["name"]):"").'">';
	echo '<input type="submit" name="ok" value="Добавить"></form>';
	echo b("/downloads.lm".($id!=0?"?id=".$id:null));
	echo hcp();
	include_once '../core/foot.php';
	exit();
}
if ($act == "rename"){
	if (isset($_POST["ok"]) && isset($_POST["name"])){
		if (strlen(trim($_POST['name'])) < 4) {
			$core->regError("Слишком короткое название категории","Слишком короткое название категории (от 4-32 символов)",3,"Forum");
		} elseif (strlen(trim($_POST['name'])) > 64) {
			$core->regError("Слишком длинное название категории","Слишком длинное название категории (от 4-64 символов)",3,"Forum");
		} else {
			$db->Query("UPDATE `downloads_cat` SET `name`= '".$core->FilterString($_POST["name"])."' WHERE `sid` = '".$user->uid."' AND `dcid` = '$id'");
			include_once '../core/head.php';
			echo '<div class="success">Имя категории успешна изменена.</div>';
			echo b("/downloads.lm?id=".$id);
			echo hcp();
			include_once '../core/foot.php';
			die();
		}
	}
	include_once '../core/head.php';
	echo '<div class="title">Изменение категории</div>';
	if ($core->isBooleanError()){
		foreach ($core->showError() as $csE){
			echo '<div class="error">Произошла ошибка при обработке операции<br><b>КОД: '.$csE["code"].'</b><br>Подробнее: '.$csE["utxt"].'</div>';
		}
	}
	echo '<form method="POST">';
	echo 'Название категории:<br>
	<input type="text" name="name" value="'.(isset($_POST["name"]) && !empty($_POST["name"])?$core->FilterString($_POST["name"]):$root->name).'">';
	echo '<input type="submit" name="ok" value="Изменить"></form>';
	echo b("/downloads.lm".($id!=0?"?id=".$id:null));
	echo hcp();
	include_once '../core/foot.php';
	exit();
}
include_once '../core/head.php';
if ($core->isBooleanError()){
	foreach ($core->showError() as $csE){
		echo '<div class="error">Произошла ошибка при обработке операции<br><b>КОД: '.$csE["code"].'</b><br>Подробнее: '.$csE["utxt"].'</div>';
	}	
}
echo '<div class="title">Управление категориями загрузок</div>';
echo '<div class="warning">Текущая папка: '.($id!=0?$root->name:'/').'<br>Файлы: '.$ccf.'</div>';
$ccc = $db->Count("downloads_cat","WHERE `root` = '".$id."' AND `sid` = '".$user->getData()->id."'");
if ($ccc == 0){
	echo '<div class="error">В данной категории нет категорий</div>';
}
$data = $db->Query("SELECT * FROM `downloads_cat` WHERE `sid` = '".$user->getData()->id."' AND `root` = '".$id."' ORDER BY `dcid` DESC"); 
while ($d = mysqli_fetch_assoc($data)){
	echo l("/downloads.lm?id=".$d["dcid"],$d["name"],"star","link",false,"^---");
}
echo ($id != 0?l("/downloads.lm?act=rename&id=".$id,"Переименовать категорию","gear",false,false,"Не нравиться название? Можно сменить"):null);
echo ($id != 0?l("/downloads.lm?act=delete&id=".$id,"Удалить категорию","trash",false,false,"Действительно, надо удалить все файлы и категорию"):null);
echo l("/downloads.lm?act=add".($id!=0?"&id=".$id:null),"Добавить категорию","star",false,false,"Создать категорию.");
echo ($id != 0?b("/downloads.lm?id=".$root->root):null);
echo hcp();
include_once '../core/foot.php';
?>
